commit:     c71d95584a50dcd61b29668aaae69cc23f8bcad7
Author:     Jan Chren <dev.rindeal <AT> gmail <DOT> com>
AuthorDate: Wed Jun 22 20:52:59 2016 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Fri Jul  1 06:57:17 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c71d9558

app-text/cherrytree: update

- revert 52e5e711414bc5b3e803fbbe45c506c484c29df8
- switch to xdg.eclass
Closes: https://github.com/gentoo/gentoo/pull/1722

Signed-off-by: Patrice Clement <monsieurp <AT> gentoo.org>

 app-text/cherrytree/cherrytree-0.37.0.ebuild | 14 +++++---------
 1 file changed, 5 insertions(+), 9 deletions(-)

diff --git a/app-text/cherrytree/cherrytree-0.37.0.ebuild 
b/app-text/cherrytree/cherrytree-0.37.0.ebuild
index 3d8fa89..2b29653 100644
--- a/app-text/cherrytree/cherrytree-0.37.0.ebuild
+++ b/app-text/cherrytree/cherrytree-0.37.0.ebuild
@@ -7,7 +7,7 @@ EAPI=6
 PYTHON_COMPAT=( python2_7 )
 DISTUTILS_SINGLE_IMPL=true
 
-inherit fdo-mime distutils-r1
+inherit xdg distutils-r1
 
 DESCRIPTION='A hierarchical note taking application'
 HOMEPAGE='http://www.giuspen.com/cherrytree'
@@ -34,6 +34,8 @@ PLOCALES='cs de es fr hy it ja lt nl pl pt_BR ru sl tr uk 
zh_CN'
 inherit l10n
 
 python_prepare_all() {
+       xdg_src_prepare
+
        if use nls ; then
                l10n_find_plocales_changes 'locale' '' '.po'
 
@@ -43,17 +45,11 @@ python_prepare_all() {
                l10n_for_each_disabled_locale_do rm_loc
        fi
 
-       sed -i '\|update-desktop-database|d' 'setup.py' || die
+       sed -r -e '/\bupdate-desktop-database\b/d' -i -- 'setup.py' || die
 
        distutils-r1_python_prepare_all
 }
 
 python_configure_all() {
-       use nls || mydistutilsargs+=( '--without-gettext' )
-       distutils-r1_python_configure_all
-}
-
-pkg_postinst() {
-       fdo-mime_desktop_database_update
-       fdo-mime_mime_database_update
+       use nls || mydistutilsargs+=( --without-gettext )
 }

Reply via email to